
<template>
    <transition name="fade">
        <div  class="loading_wrapper" v-if="isLoading()">
            <div aria-label="loading" class="vc vc-loading-overlay no-select vc-light"
                 style="z-index: 1250;">
                <v-flex class="align-center justify-center">
                    <Spinner id="spinner" size="massive" message="Loading..."/>
                </v-flex>
                <!--<img id="spinner" src="../../public/dark_loader.svg" alt="Loading..."/>-->
            </div>
        </div>
    </transition>
</template>
<script>
    import Spinner from 'vue-simple-spinner'

    export default {
        name: "LoadingOverlay",
        components:{
          Spinner
        },
        data() {
            return {}
        },
        beforeCreate() {
            console.log('Beforecreate !')
        },
        beforeMount() {
            console.log('Beforemount !')

        },
        created() {
            console.log('Created !')

        },
        mounted() {
            console.log('Mounted !')
        },
        activated() {
            console.log('Activated !')
        },
        methods: {
            isLoading() {
                return this.$store.state.loading
            }
        }

    }
</script>

<style scoped>
    #spinner {
        position: fixed;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        opacity: 1;
        z-index: 100;
        width: 50vh;
    }

    .loading_wrapper {
        background-color: #FFF;
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
        z-index: 99;
        opacity: .9;
    }

    .fade-enter-active, .fade-leave-active {
        transition: opacity .2s;
    }
    .fade-enter, .fade-leave-to /* .fade-leave-active below version 2.1.8 */ {
        opacity: 0;
    }
</style>